/****************************************************************************
; *
; *     File        : d3d.cpp
; *
; *     Description : Direct3D 8 Wrapper
; *
; *     Copyright  Realtech VR 2001
; *
; *     Permission to use, copy, modify, distribute and sell this software
; *     and its documentation for any purpose is hereby granted without fee,
; *     provided that the above copyright notice appear in all copies and
; *     that both that copyright notice and this permission notice appear
; *     in supporting documentation.  Realtech makes no representations
; *     about the suitability of this software for any purpose.
; *     It is provided "as is" without express or implied warranty.
; *
; ***************************************************************************/
#include <stdio.h>
#include "d3dprj.h"
#include "gl_init.h"

extern "C" {

IDirect3D8 * WINAPI Direct3DCreate8(UINT SDKVersion)
{
	if (SDKVersion!=D3D_SDK_VERSION)
	{
/*		MESG("D3D ERROR: This application compiled against improper D3D headers."
			 "The application is compiled with SDK version (%d) but the currently installed"
			 "runtime supports versions for (%d). Please recompile with an up-to-date SDK.\n", SDKVersion, 0);*/
		// Bad version, but continue anyway ...
		// return NULL;
	}	
#if !defined _DEBUG && defined _MSC_VER
	DisplaySplashScreen(SDKVersion);
#endif
	return new BIDirect3D8();
}

}
