/*==========================================================================;
 *
 *  Copyright (C) 1995-2001 Microsoft Corporation.  All Rights Reserved.
 *
 *  File:       idirect3dswapchaine8.cpp
 *  Content:    Direct3D capabilities include file
 *
 ***************************************************************************/
#include "d3dprj.h"

BIDirect3DSwapChain8::BIDirect3DSwapChain8() {
	APIDEBUG(NO APIDEBUG FOR SWAPCHAIN);
}

ULONG BIDirect3DSwapChain8::AddRef()
{
	m_refCount++;
	return 0;
}

HRESULT
BIDirect3DSwapChain8::GetBackBuffer(UINT BackBuffer, D3DBACKBUFFER_TYPE Type, IDirect3DSurface8 **ppBackBuffer)
{
	return 0;
}

HRESULT
BIDirect3DSwapChain8::Present(CONST RECT *pSourceRect, CONST RECT *pDestRect, HWND hDestWindowOverride, CONST RGNDATA *pDirtyRegion)
{
	return 0;
}

HRESULT
BIDirect3DSwapChain8::QueryInterface(REFIID riid, void **ppvObj)
{
	return 0;
}

ULONG
BIDirect3DSwapChain8::Release()
{	
	m_refCount--;
	if (m_refCount < 0)
	{
		delete this;
	}	
	return 0;
}