// Create GL Device from Direct3D
#ifndef _GL_INIT_HH
#define _GL_INIT_HH

#include "windefs.h"

struct gl_driver_information;	// private driver information ...


extern int		GL_CreateDevice(struct gl_driver_information **ppDevice, HWND hwnd, int index, int width, int height);
extern void		GL_ReleaseDevice(struct gl_driver_information *pDevice);
extern void		GL_EnumAdapterModes(struct gl_driver_information *pDevice, int index, UINT *width, UINT *height, UINT *bpp, UINT *refreshRate);
extern void		GL_GetAdapterDisplayMode(struct gl_driver_information *pDevice, UINT *width, UINT *height, UINT *bpp, UINT *refreshRate);
extern int		GL_GetAdapterModeCount(struct gl_driver_information *pDevice);
extern int		GL_GetAdapterCount(struct gl_driver_information *pDevice);
extern void		GL_GetAdapterName(struct gl_driver_information *pDevice, int index, char *s, int numBytes);
extern int      GL_CreatePseudoDevice(struct gl_driver_information **pDevice);
extern void		GL_PresentDevice(struct gl_driver_information *pDevice, HWND hwndOverride);
extern void		GL_DefaultSettings(int width, int height);
extern void		GL_GetCreationParameters(struct gl_driver_information *pDevice, struct _D3DDEVICE_CREATION_PARAMETERS *pParameters);
extern void		GL_GetViewportSize(gl_driver_information *pDevice, int *lx, int *ly);
extern void		DisplaySplashScreen(int sdk);


#endif // _GL_INIT_H

